Summary: CPQarrayd monitors SmartArray controllers for you and notifies by sending SNMP traps and via syslog.
Name: cpqarrayd
Version: 2.0
Release: 3
Epoch: 0
License: GPL
Group: System Environment/Daemons
URL: http://starbreeze.knoware.nl/~spark/compaq/
Source: ftp://starbreeze.knoware.nl/~hugo/compaq/downloads/%{name}-%{version}.tar.gz
Patch: http://ftp.debian.org/debian/pool/main/c/cpqarrayd/%{name}_%{version}-4.diff.gz
BuildRoot: /var/tmp/%{name}-%{version}-root
Prefix: %{_prefix}
Requires: net-snmp
# Some systems switched from kernel-source to kernel-sourcecode.
#BuildRequires: kernel-source net-snmp-devel
BuildRequires: kernel-sourcecode net-snmp-devel

%description
CPQ Array Daemon
This daemon keeps on monitoring your SmartArray controllers and checks for
abnormal conditions. By default it only reports to syslog, but you can
make it send SNMP Traps to selected hosts.

This version has the Debian patch applied which fixes many bugs.

%prep
%setup -q
%patch -p1

%build
# Use this default to compile against the running kernel, otherwise create
# the /usr/src/linux symlink and use the second invocation.
# /lib/modules/`uname -r`/build is not good enough for our purposes.
%configure --with-kernel=/usr/src/linux-`uname -r`
#%%configure --with-kernel=/usr/src/linux
# And remember, kids, macro expansion in comments suggests excessive crack use.
%{__make}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__make} DESTDIR="$RPM_BUILD_ROOT" install
perl -i -p -e 's:\@installroot\@:%{prefix}:;' scripts/cpqarrayd
# install the startup scripts manually
%{__mkdir_p} $RPM_BUILD_ROOT/etc/rc.d/init.d/
%{__mkdir_p} $RPM_BUILD_ROOT/etc/sysconfig/
%{__install} scripts/cpqarrayd $RPM_BUILD_ROOT/etc/rc.d/init.d/
%{__install} scripts/cpqarrayd.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/cpqarrayd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cpqarrayd

%preun
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  /sbin/service cpqarrayd stop > /dev/null 2>&1
  /sbin/chkconfig --del cpqarrayd
fi

%postun
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  /sbin/service cpqarrayd condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc debian/README.Debian debian/changelog
%{_sysconfdir}/rc.d/init.d/cpqarrayd
%config %{_sysconfdir}/sysconfig/cpqarrayd
%{_sbindir}/cpqarrayd
%{_mandir}/*/*

%changelog
* Thu Jul 07 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2.0-3
- Abstracted a lot of the hard-coded paths into macros.
- Re-added SNMP support.
- Added Debian patch 2.0-4.

* Sat Jan 17 2004 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2.0-2.fc1
- Compiled for Fedora Core 1 without SNMP support.

